'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = resolveModule;

var _nanoutils = require('nanoutils');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _module = require('module');

var _module2 = _interopRequireDefault(_module);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getDirectories(srcPath) {
  // Slow synchronous version of https://github.com/megawac/lodash-modularize/blob/master/src/lodashModules.js.
  // Using the paths lodash-cli provides is not an option as they may change version to version =(
  return ['.'].concat(_fs2.default.readdirSync(srcPath)).filter(function (filePath) {
    return _fs2.default.statSync(_path2.default.join(srcPath, filePath)).isDirectory();
  });
}

var _nanoutilsPath = _path2.default.dirname(_module2.default._resolveFilename('nanoutils', (0, _nanoutils.merge)(new _module2.default(), {
  paths: _module2.default._nodeModulePaths(process.cwd())
})));

// nanoutils folder will be /nodemodules/nanoutils/dist. We want to remove the dist
var nanoutilsPath = _nanoutilsPath.slice(0, _nanoutilsPath.lastIndexOf('nanoutils') + 9);

var methods = _fs2.default.readdirSync(_path2.default.join(nanoutilsPath, 'lib')).map(function (name) {
  return _path2.default.basename(name);
});

function resolveModule(name, cjs) {
  for (var category in methods) {
    if ((0, _nanoutils.contains)(name, methods)) {
      return 'nanoutils/' + (cjs ? 'cjs' : 'lib') + '/' + name;
    }
  }
  throw new Error('Nanoutils method ' + name + ' was not a known function\n    Please file a bug if it\'s my fault https://github.com/megawac/babel-plugin-nanoutils/issues\n  ');
}